
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:geo_reset')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))
			.tick((entity, entry, holder, enabled) => {
                if (enabled) {
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
					
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Helmet -1");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Chest -1");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Gauntlets -1");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Boots -1");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Orbit -1");
					
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Helmet.Toggle 0");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Chest.Toggle 0");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Gauntlets.Toggle 0");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Boots.Toggle 0");
					entity.server.runCommandSilent("scoreboard players set " + username + " Heroes.Geo_Armor.Orbit.Amount 0");
					
					entity.server.runCommandSilent("execute as " + username + " run tag @s remove Heroes.Geo.Prock");
						let geo_max = global.geo_types;
						for (let geo_list = 0; geo_list <= geo_max; geo_list++) {
							let geo_type = global['geo_type_' + geo_list].toString();
								entity.persistentData['geo_type_' + geo_list] = 0

								}
							
					}
            });
    });
